const $ = require('jquery');
require("../css/error.less");
const {getUrlArgObject} = require('./utils.js')
let code = getUrlArgObject("code")
const msg = {
  404:"404: 很抱歉，你访问的页面不存在，可能已被删除或转移",
  403:"403: 很抱歉，你没有访问权限",
  401:"401: 很抱歉，你没有访问权限",
  500:"500: 很抱歉，系统服务重启请稍后再试",
}
// "通用：很抱歉，系统发生了意外请稍后再试"
$(function(){
  if(code&&msg[code]){
    $(".errorTips").html(msg[code])
  }else{
    $(".errorTips").html((code?code+': ':'')+"很抱歉，系统发生了意外请稍后再试")
  }
  $(".back").click(function(){
    if(window.history.length > 1){
        window.history.go( -1 );
    }else{
        window.location.href = "../login.html";
    }
  })
})